Package be.ehealth.businessconnector.ssinhistory.session.impl

# Class SsinHistorySessionServiceImpl

java.lang.Object
be.ehealth.businessconnector.ssinhistory.session.impl.SsinHistorySessionServiceImpl

All Implemented Interfaces:
  `SsinHistorySessionService`

public class SsinHistorySessionServiceImpl extends Object implements SsinHistorySessionService
Implementation of `SsinHistorySessionService`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SsinHistorySessionServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`
  Instantiates a new SsinHistory service impl.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConsultCurrentSsinResponse`
  `consultCurrentSsinResponse(ConsultCurrentSsinRequest request)`
  `ConsultRelatedSsinsResponse`
  `consultRelatedSsins(ConsultRelatedSsinsRequest request)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SsinHistorySessionServiceImpl

    public SsinHistorySessionServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator) throws TechnicalConnectorException
    Instantiates a new SsinHistory service impl.
    Parameters:
      `sessionValidator` - the sessionValidator
      `replyValidator` - the replyValidator
    Throws:
      `TechnicalConnectorException`

- ## Method Details

  - ### consultRelatedSsins

    public ConsultRelatedSsinsResponse consultRelatedSsins(ConsultRelatedSsinsRequest request) throws TechnicalConnectorException
    Specified by:
      `consultRelatedSsins` in interface `SsinHistorySessionService`
    Parameters:
      `request` -
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### consultCurrentSsinResponse

    public ConsultCurrentSsinResponse consultCurrentSsinResponse(ConsultCurrentSsinRequest request) throws TechnicalConnectorException
    Specified by:
      `consultCurrentSsinResponse` in interface `SsinHistorySessionService`
    Parameters:
      `request` -
    Returns:
    Throws:
      `TechnicalConnectorException`